Index: tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision e611dcada623ad28011aa5d0079a58228b4f54e8)
+++ tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -6,4 +6,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -14,4 +15,5 @@
 file=test-x.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -22,4 +24,5 @@
 file=test-y.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -30,4 +33,5 @@
 file=test-z.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -45,4 +49,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -53,4 +58,5 @@
 file=test-x.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -61,4 +67,5 @@
 file=test-y.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -69,4 +76,5 @@
 file=test-z.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -84,4 +92,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -92,4 +101,5 @@
 file=test-x.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -100,4 +110,5 @@
 file=test-y.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -108,4 +119,5 @@
 file=test-z.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
